<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RCcdAdvertisingService StructType
 * @subpackage Structs
 */
class RCcdAdvertisingService extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The isActivated
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isActivated;
    /**
     * The hostDnGroup
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $hostDnGroup;
    /**
     * The safSipTrunk
     * Meta information extracted from the WSDL
     * - documentation: Either safSipTrunk, safH323Trunk or both should be configured while adding
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $safSipTrunk;
    /**
     * The safH323Trunk
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $safH323Trunk;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RCcdAdvertisingService
     * @uses RCcdAdvertisingService::setName()
     * @uses RCcdAdvertisingService::setDescription()
     * @uses RCcdAdvertisingService::setIsActivated()
     * @uses RCcdAdvertisingService::setHostDnGroup()
     * @uses RCcdAdvertisingService::setSafSipTrunk()
     * @uses RCcdAdvertisingService::setSafH323Trunk()
     * @uses RCcdAdvertisingService::setUuid()
     * @param string $name
     * @param string $description
     * @param string $isActivated
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $hostDnGroup
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSipTrunk
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safH323Trunk
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $isActivated = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $hostDnGroup = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSipTrunk = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safH323Trunk = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setIsActivated($isActivated)
            ->setHostDnGroup($hostDnGroup)
            ->setSafSipTrunk($safSipTrunk)
            ->setSafH323Trunk($safH323Trunk)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdAdvertisingService
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdAdvertisingService
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get isActivated value
     * @return string|null
     */
    public function getIsActivated()
    {
        return $this->isActivated;
    }
    /**
     * Set isActivated value
     * @param string $isActivated
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdAdvertisingService
     */
    public function setIsActivated($isActivated = null)
    {
        $this->isActivated = $isActivated;
        return $this;
    }
    /**
     * Get hostDnGroup value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getHostDnGroup()
    {
        return $this->hostDnGroup;
    }
    /**
     * Set hostDnGroup value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $hostDnGroup
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdAdvertisingService
     */
    public function setHostDnGroup(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $hostDnGroup = null)
    {
        $this->hostDnGroup = $hostDnGroup;
        return $this;
    }
    /**
     * Get safSipTrunk value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getSafSipTrunk()
    {
        return $this->safSipTrunk;
    }
    /**
     * Set safSipTrunk value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSipTrunk
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdAdvertisingService
     */
    public function setSafSipTrunk(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSipTrunk = null)
    {
        $this->safSipTrunk = $safSipTrunk;
        return $this;
    }
    /**
     * Get safH323Trunk value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getSafH323Trunk()
    {
        return $this->safH323Trunk;
    }
    /**
     * Set safH323Trunk value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safH323Trunk
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdAdvertisingService
     */
    public function setSafH323Trunk(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safH323Trunk = null)
    {
        $this->safH323Trunk = $safH323Trunk;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdAdvertisingService
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
